{% load i18n admin_static admin_list %}
<!DOCTYPE html>
<html lang="es">
<head>
<meta charset="utf-8">
<title>Intranet de Docentes - Universidad de Lambayeque</title>
<meta name="description" content="Ejemplo">
<meta name="author" content="v2n">

<link href="{% static 'custom/bootstrap/css/bootstrap-spacelab2.css' %}" rel="stylesheet">
<link href="{% static 'custom/bootstrap/css/datepicker.css' %}" rel="stylesheet">
<style>
    input[type="text"] { 
        padding:0px; margin-bottom:0px; 
    }
    #footer {
        border-top: 1px solid rgb(238, 238, 238);
        text-align: right;
        padding-top: 10px;
        color: rgb(187, 187, 187);
        text-align: center;
        
    }
    .thumbnail {
        border: 1px solid #DDDDDD;
        border-radius: 4px 4px 4px 4px;
        box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075);
        display: block;
        line-height: 1;
        padding: 4px;
    }
    .notacol {
        width: 40px;
    }
    
    .label-AT {
        background-color: #9d261d;
    }
    .label-AM {
        background-color: #7a43b6;
    }
    .label-IA {
        background-color: #46a546;
    }
    .label-IC {
        background-color: #f89406;
    }
    .label-IS {
        background-color: #049cdb;
    }
    
    .well2 { background-color: white;}  
    .accordion-inner { background-color:white; }
    .accordion-group { background-color:#ddd; }
    .celda-error { 
        color: #df2523;
    }
</style>
</head>
<body>
    
    <div class="row-fluid">
        <div class="well well2">

            <h1>{% trans 'Horario'%} {{ horario.Dia }}, {{ horario.HoraInicio|time:"H:i" }} - {{ horario.HoraFin|time:"H:i" }} </h1>
            <span class="label label-info"><i class="icon-briefcase icon-white"></i> {{ horario.Seccion }}</span>
            <span class="label "><i class="icon-tag icon-white"></i> {{ periodocurso.Curso.Nombre|escape }}</span>

            <hr>

            {% if alumnos %}
            <form action="" class="form-horizontal" method="post">{% csrf_token %}

            <!-- <h3><small style="color:black;">01. Ingrese los campos fecha y tema de clase .</small></h3> -->

            <fieldset>

                <div class="control-group alert">
                    <strong>Intrucciones:</strong><br/>
                    Introduzca los campos <u><i class="icon-calendar"></i> Fecha</u>, <u><i class="icon-book"></i> Tema de clase</u>, luego seleccione las opciones <u>Asistió</u>, <u>Faltó</u> o <u>Tardanza</u> del listado de alumnos;finalmente presione el <u>botón guardar</u>.
                </div>
                {% if existe %}
                <div class="control-group error">
                    <span class="help-inline">Ya existe una asistencia con este horario y fecha {{ fecha }}</span>
                </div>
                {% endif %}
                {% if no_registrado %}
                <div class="control-group error">
                    <span class="help-inline">No ha registrado la asistencia del estudiante {{ no_registrado.MatriculaCiclo.Alumno }}, verifique por favor</span>
                </span>
                </div>
                {% endif %}
                <div class="control-group {% if form.Fecha.errors %}error{% endif %}">
                    <label class="control-label" for="fecha"><i class="icon-calendar"></i> <strong>Fecha</strong></label>
                    <div class="controls">
                        <div class="input-append date" id="dp3" data-date="{% now "d/m/Y" %}" data-date-format="dd-mm-yyyy">
                            <input name="Fecha" class="span6" size="20" type="text" value="{% if fecha %}{{ fecha }}{% else%}{% now "d/m/Y" %}{% endif %}">
                            <span class="add-on"><i class="icon-th"></i></span>
                        </div>
                        {% if form.Fecha.errors %}
                                <span class="help-inline">
                                {% for error in form.Fecha.errors %}
                                    {{ error }}
                                {% endfor %}
                                </span>
                        {% endif %}
                    </div>
                </div>
                <div class="control-group {% if form.TemaClase.errors %}error{% endif %}">
                    <label class="control-label" for="tema-clase"><i class="icon-book"></i> <strong>Tema de Clase</strong></label>
                    <div class="controls">
                        <textarea name="TemaClase" class="input-xlarge" id="textarea" rows="3">{% if tema_clase %}{{ tema_clase }}{% endif %}</textarea>
                        {% if form.TemaClase.errors %}
                                <span class="help-inline">
                                {% for error in form.TemaClase.errors %}
                                    {{ error }}
                                {% endfor %}
                                </span>
                        {% endif %}
                    </div>
                </div>
            </fieldset>

            
            <table class="table table-striped">
                <thead>
                <tr>
                <th class="reduce-col-number">#</th>
                <th>Código</th>
                <th>Estudiante</th>
                <th>Carrera</th>
                <th>Seleccione un estado: 
                    <div class="btn-group pull-right">
                    <a class="btn btn-info btn-mini dropdown-toggle " data-toggle="dropdown" href="#">Acciones... <span class="caret"></span></a>
                    <ul class="dropdown-menu">
                        <li><a href="#" class="AccionesRadioButton AS"><i class="icon-ok"></i> Todas asistencias</a></li>
                        <li><a href="#" class="AccionesRadioButton FA"><i class="icon-ok"></i> Todas Faltas</a></li>
                        <li><a href="#" class="AccionesRadioButton TA"><i class="icon-ok"></i> Todas Tardanzas</a></li>
                        <!--<li class="divider"></li>
                        <li><a href="#" class="AccionesRadioButton BO"><i class="icon-remove"></i> Borrar selecciones</a></li>-->
                    </ul>
                    </div>
                </th>
                </tr>
                </thead>
                <tbody>
                {% for alumno in alumnos %}
                <tr>
                    <td><h4>{{ forloop.counter }}</h4></td>
                    <td><span class="label">{{ alumno.MatriculaCursos.MatriculaCiclo.Alumno.Codigo|escape }}</span></td>
                    <td>
                    <h5><i class="icon-user"></i> {{ alumno.MatriculaCursos.MatriculaCiclo.Alumno|escape }}</h5>
                    </td>
                    <td>
                    <span class="label label-{{ alumno.MatriculaCursos.MatriculaCiclo.Alumno.Carrera.Codigo|escape }}">{{ alumno.MatriculaCursos.MatriculaCiclo.Alumno.Carrera.Codigo|escape }}</span>
                    </td>
                    <td class="{% if alumno.id == no_registrado.id %}celda-error{% endif %}">
                        <label class="radio inline">
                            <input name="{{ alumno.id }}" type="radio" class="asistio" id="{{ alumno.id }}_Asistio" value="Asistio" {% if alumno.Estado == 'Asistio'%} checked="true" {% endif %}> Asistío
                        </label>
                        <label class="radio inline">
                            <input name="{{ alumno.id }}" type="radio" class="falto" id="{{ alumno.id }}_Falto" value="Falto" {% if alumno.Estado == 'Falto'%} checked="true" {% endif %}> Faltó
                        </label>
                        <label class="radio inline">
                            <input name="{{ alumno.id }}" type="radio" class="tardanza" id="{{ alumno.id }}_Tardanza" value="Tardanza" {% if alumno.Estado == 'Tardanza'%} checked="true" {% endif %}> Tardanza
                        </label>
                    </td>
                </tr>
                {% endfor%}
                </tbody>
            </table>
            <div class="form-actions">
                <button type="submit" class="btn btn-info">Guardar Asistencia</button>
            </div>
            </form>
            {% endif %}
        </div>
    </div>

    <script src="{% static 'custom/bootstrap/js/jquery-1.7.2.min.js' %}"></script>
    <script src="{% static 'custom/bootstrap/js/bootstrap.min.js' %}"></script>
    <script src="{% static 'custom/bootstrap/js/bootstrap-alert.js' %}"></script>
    <script src="{% static 'custom/bootstrap/js/bootstrap-tooltip.js' %}"></script>
    <script src="{% static 'custom/bootstrap/js/bootstrap-collapse.js' %}"></script>
    <script src="{% static 'custom/bootstrap/js/bootstrap-datepicker.js' %}"></script>
    
    <script>

    $('.AccionesRadioButton').click(function (e) {
        var $this = $(this);
        var class_item = $($this).attr("class");
        var param_item = class_item.split(" ")[1];
        
        if (param_item == 'AS') { $(".asistio").attr("checked", true); }
        if (param_item == 'FA') { $(".falto").attr("checked", true); }
        if (param_item == 'TA') { $(".tardanza").attr("checked", true); }
//         if (param_item == 'BO') { $(".asistio, .falto, .tardanza").attr("checked", false); }
    });
    $('#dp1').datepicker({
        format: 'yyyy-mm-dd'
    });
    
    $('#dp3').datepicker()
        .on('changeDate', function(ev){
            $("#dp3").datepicker('hide');
    });
    
    $(document).ready(function() {
vnotas = new Array();
vnotas1 = new Array();

{% for reg in registrados %}
    $('#' + '{{ reg.0 }}' + '_' + '{{ reg.1 }}').attr("checked", true)
{% endfor %}
});
    
    </script>
  </body>
</html>​
